Epiville

System Requirements

  1. Monitor: Minimum 1024×768 required.
  2. Browsers:
    1. Windows: Firefox 1.5 or later, Internet Explorer 6 or later; Mozilla 1.7 or later; Netscape 7+
    2. MacOS: Firefox 1.5 or later, Mozilla 1.7 or later; Netscape 7+
    3. Linux: Firefox 1.5 or later, Mozilla 1.7 or later
  3. JavaScript: Your browser must have JavaScript enabled
  4. Plug-ins:
    1. Flash Player. Download a free version of the latest Flash Player.
    2. Acrobat Reader. Download a free version of Acrobat Reader.
  5. Network Connection: The recommended connection is broadband connection (LAN, DSL, or cable modem)